// tell linker to link with 
// version.lib
#ifdef _MSC_VER
#pragma comment(linker, "/defaultlib:version.lib")
#endif
#pragma hdrstop

//---------------------------------------------------------------------------
//   Important note about DLL memory management in a VCL DLL:
//
//
//
// If your DLL uses VCL and exports any functions that pass VCL String objects
// (or structs/classes containing nested Strings) as parameter or function
// results, you will need to build both your DLL project and any EXE projects
// that use your DLL with the dynamic RTL (the RTL DLL).  This will change your
// DLL and its calling EXE's to use BORLNDMM.DLL as their memory manager. In
// these cases, the file BORLNDMM.DLL should be deployed along with your DLL
// and the RTL DLL (CP3240MT.DLL). To avoid the requiring BORLNDMM.DLL in
// these situations, pass string information using "char *" or ShortString
// parameters and then link with the static RTL.
//
//---------------------------------------------------------------------------

#include "brd_generic.h"

CRITICAL_SECTION  CCriticalSection::cs;

/* -------------------------------------------------------------------------
   Name:        DllEntryPoint

   Purpose:     Creates a critical section used to serialize CT Access
                initialization.
   ------------------------------------------------------------------------- */
int WINAPI DllEntryPoint(HINSTANCE /*hinst*/, unsigned long reason, void*)
{
   switch (reason)
   {
   case DLL_PROCESS_ATTACH:
      CCriticalSection::Create();
      break;
   case DLL_PROCESS_DETACH:
      CCriticalSection::Delete();
      break;
// case DLL_THREAD_ATTACH:
// case DLL_THREAD_DETACH:
   }
   return 1;
}
